> ## Documentation Index
> Fetch the complete documentation index at: https://docs.specterops.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Reload Yara rules

> Trigger a reload of all Yara rules in the backend



## OpenAPI

````yaml /nemesis-docs/docs/nemesis-api.json post /system/yara/reload
openapi: 3.1.0
info:
  title: Enrichment API
  description: API for file enrichment services
  version: 0.1.0
servers:
  - url: /api
security: []
tags:
  - name: files
    description: File management operations
  - name: workflows
    description: Workflow management operations
  - name: enrichments
    description: Enrichment management operations
  - name: system
    description: System and health check endpoints
paths:
  /system/yara/reload:
    post:
      tags:
        - system
      summary: Reload Yara rules
      description: Trigger a reload of all Yara rules in the backend
      operationId: reload_yara_rules_system_yara_reload_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/YaraReloadResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    YaraReloadResponse:
      properties:
        message:
          type: string
          title: Message
          description: Status message for Yara rules reload
      type: object
      required:
        - message
      title: YaraReloadResponse
      description: Model representing Yara rules reload response
    ErrorResponse:
      properties:
        detail:
          type: string
          title: Detail
          description: Error message details
      type: object
      required:
        - detail
      title: ErrorResponse

````